Index: /palm/trunk/SOURCE/Makefile
===================================================================
--- /palm/trunk/SOURCE/Makefile	(revision 2338)
+++ /palm/trunk/SOURCE/Makefile	(revision 2339)
@@ -25,7 +25,10 @@
 # -----------------
 # $Id$
+# corrected timestamp in header
+# 
+# 2338 2017-08-07 12:15:38Z gronemeier
 # Modularize 1D model
 # 
-# 
+# 2320 2017-07-21 12:47:43Z suehring
 # -ls_forcing nudging
 # +large_scale_forcing_nudging
Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 2338)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 2339)
@@ -25,7 +25,10 @@
 ! -----------------
 ! $Id$
+! corrected timestamp in header
+! 
+! 2338 2017-08-07 12:15:38Z gronemeier
 ! Modularize 1D model
 ! 
-! 
+! 2329 2017-08-03 14:24:56Z knoop
 ! Bugfix: index corrected for rho_air and rho_air_zw output
 ! 
Index: /palm/trunk/SOURCE/header.f90
===================================================================
--- /palm/trunk/SOURCE/header.f90	(revision 2338)
+++ /palm/trunk/SOURCE/header.f90	(revision 2339)
@@ -25,7 +25,10 @@
 ! -----------------
 ! $Id$
+! corrected timestamp in header
+! 
+! 2338 2017-08-07 12:15:38Z gronemeier
 ! Modularize 1D model
 ! 
-! 
+! 2320 2017-07-21 12:47:43Z suehring
 ! Modularize large-scale forcing and nudging
 ! 
Index: /palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_3d_model.f90	(revision 2338)
+++ /palm/trunk/SOURCE/init_3d_model.f90	(revision 2339)
@@ -25,7 +25,10 @@
 ! -----------------
 ! $Id$
+! corrected timestamp in header
+! 
+! 2338 2017-08-07 12:15:38Z gronemeier
 ! Modularize 1D model
 ! 
-! 
+! 2329 2017-08-03 14:24:56Z knoop
 ! Removed temporary bugfix (r2327) as bug is properly resolved by this revision
 ! 
Index: /palm/trunk/SOURCE/model_1d_mod.f90
===================================================================
--- /palm/trunk/SOURCE/model_1d_mod.f90	(revision 2338)
+++ /palm/trunk/SOURCE/model_1d_mod.f90	(revision 2339)
@@ -25,8 +25,11 @@
 ! -----------------
 ! $Id$
+! corrected timestamp in header
+! 
+! 2338 2017-08-07 12:15:38Z gronemeier
 ! renamed init_1d_model to model_1d_mod and and formatted it as a module;
 ! reformatted output of profiles
 ! 
-! 
+! 2337 2017-08-07 08:59:53Z gronemeier
 ! revised calculation of mixing length
 ! removed rounding of time step
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 2338)
+++ /palm/trunk/SOURCE/modules.f90	(revision 2339)
@@ -25,7 +25,10 @@
 ! -----------------
 ! $Id$
+! corrected timestamp in header
+! 
+! 2338 2017-08-07 12:15:38Z gronemeier
 ! moved 1d-model varaibles to own module model_1d_mod
 ! 
-! 
+! 2337 2017-08-07 08:59:53Z gronemeier
 ! -old_dt_1d
 ! +l1d_diss
Index: /palm/trunk/SOURCE/parin.f90
===================================================================
--- /palm/trunk/SOURCE/parin.f90	(revision 2338)
+++ /palm/trunk/SOURCE/parin.f90	(revision 2339)
@@ -25,7 +25,10 @@
 ! -----------------
 ! $Id$
+! corrected timestamp in header
+! 
+! 2338 2017-08-07 12:15:38Z gronemeier
 ! Modularize 1D model
 ! 
-! 
+! 2310 2017-07-11 09:37:02Z gronemeier
 ! Bugfix: re-arranged call for error messages for ENVPAR file
 ! 
Index: /palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- /palm/trunk/SOURCE/read_var_list.f90	(revision 2338)
+++ /palm/trunk/SOURCE/read_var_list.f90	(revision 2339)
@@ -25,7 +25,10 @@
 ! -----------------
 ! $Id$
+! corrected timestamp in header
+! 
+! 2338 2017-08-07 12:15:38Z gronemeier
 ! Modularize 1D model
 ! 
-! 
+! 2320 2017-07-21 12:47:43Z suehring
 ! Formatting adjustment
 ! 
Index: /palm/trunk/SOURCE/surface_mod.f90
===================================================================
--- /palm/trunk/SOURCE/surface_mod.f90	(revision 2338)
+++ /palm/trunk/SOURCE/surface_mod.f90	(revision 2339)
@@ -25,7 +25,10 @@
 ! -----------------
 ! $Id$
+! corrected timestamp in header
+! 
+! 2338 2017-08-07 12:15:38Z gronemeier
 ! Modularize 1D model
 ! 
-! 
+! 2318 2017-07-20 17:27:44Z suehring
 ! New function to obtain topography top index. 
 ! 
Index: /palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- /palm/trunk/SOURCE/write_var_list.f90	(revision 2338)
+++ /palm/trunk/SOURCE/write_var_list.f90	(revision 2339)
@@ -25,7 +25,10 @@
 ! -----------------
 ! $Id$
+! corrected timestamp in header
+! 
+! 2338 2017-08-07 12:15:38Z gronemeier
 ! Modularize 1D model
 ! 
-! 
+! 2265 2017-06-08 16:58:28Z schwenkel
 ! Unused variables removed.
 ! 