Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 2374)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 2375)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Added aerosol for bulk microphysics
+! 
+! 2365 2017-08-21 14:59:59Z kanani
 ! Vertical grid nesting implemented: Check coupling mode. Generate file header
 ! (SadiqHuq)
@@ -1042,4 +1045,23 @@
     ENDIF
 !
+!-- Check aerosol
+    IF ( aerosol_bulk == 'nacl' )  THEN
+       aerosol_nacl   = .TRUE.
+       aerosol_c3h4o4 = .FALSE.
+       aerosol_nh4no3 = .FALSE.
+    ELSEIF ( aerosol_bulk == 'c3h4o4' )  THEN
+       aerosol_nacl   = .FALSE.
+       aerosol_c3h4o4 = .TRUE.
+       aerosol_nh4no3 = .FALSE.
+    ELSEIF ( aerosol_bulk == 'nh4no3' )  THEN
+       aerosol_nacl   = .FALSE.
+       aerosol_c3h4o4 = .FALSE.
+       aerosol_nh4no3 = .TRUE.
+    ELSE
+       message_string = 'unknown aerosol ="' // &
+                        TRIM( aerosol_bulk ) // '"'
+       CALL message( 'check_parameters', 'PA0469', 1, 2, 0, 6, 0 )
+    ENDIF
+!
 !-- Check whether there are any illegal values
 !-- Pressure solver:
Index: /palm/trunk/SOURCE/lpm_droplet_collision.f90
===================================================================
--- /palm/trunk/SOURCE/lpm_droplet_collision.f90	(revision 2374)
+++ /palm/trunk/SOURCE/lpm_droplet_collision.f90	(revision 2375)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-!
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Changed ONLY-dependencies
+!
+! 2312 2017-07-14 20:26:51Z hoffmann
 ! Consideration of aerosol mass during collision. Average impact algorithm has
 ! been removed.
@@ -108,5 +111,5 @@
 
     USE cloud_parameters,                                                      &
-        ONLY:  rho_l
+        ONLY:  rho_l, rho_s
 
     USE constants,                                                             &
@@ -130,5 +133,5 @@
         ONLY:  curvature_solution_effects, dissipation_classes, hall_kernel,   &
                iran_part, number_of_particles, particles, particle_type,       &
-               prt_count, rho_s, use_kernel_tables, wang_kernel
+               prt_count, use_kernel_tables, wang_kernel
 
     USE random_function_mod,                                                   &
Index: /palm/trunk/SOURCE/lpm_droplet_condensation.f90
===================================================================
--- /palm/trunk/SOURCE/lpm_droplet_condensation.f90	(revision 2374)
+++ /palm/trunk/SOURCE/lpm_droplet_condensation.f90	(revision 2375)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! ------------------
-!
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Changed ONLY-dependencies
+!
+! 2312 2017-07-14 20:26:51Z hoffmann
 ! Rosenbrock scheme improved. Gas-kinetic effect added.
 !
@@ -115,5 +118,6 @@
 
     USE cloud_parameters,                                                      &
-        ONLY:  l_d_rv, l_v, rho_l, r_v
+        ONLY:  l_d_rv, l_v, molecular_weight_of_solute,                        &
+               molecular_weight_of_water, rho_l, rho_s, r_v, vanthoff
 
     USE constants,                                                             &
@@ -135,8 +139,6 @@
 
     USE particle_attributes,                                                   &
-        ONLY:  curvature_solution_effects, hall_kernel,                        &
-               molecular_weight_of_solute, molecular_weight_of_water,          &
-               number_of_particles, particles, radius_classes, rho_s,          &
-               use_kernel_tables, vanthoff, wang_kernel
+        ONLY:  curvature_solution_effects, hall_kernel, number_of_particles,   &
+               particles, radius_classes, use_kernel_tables, wang_kernel
 
     IMPLICIT NONE
Index: /palm/trunk/SOURCE/lpm_init.f90
===================================================================
--- /palm/trunk/SOURCE/lpm_init.f90	(revision 2374)
+++ /palm/trunk/SOURCE/lpm_init.f90	(revision 2375)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Initialization of chemical aerosol composition
+! 
+! 2346 2017-08-09 16:39:17Z suehring
 ! Bugfix, correct determination of topography top index
 ! 
@@ -970,5 +973,6 @@
 
     USE cloud_parameters,                                                      &
-        ONLY: l_d_rv, rho_l, r_v
+        ONLY: l_d_rv, molecular_weight_of_solute,                              &
+              molecular_weight_of_water, rho_l, r_v, rho_s, vanthoff
 
     USE constants,                                                             &
@@ -978,6 +982,5 @@
 
     USE particle_attributes,                                                   &
-        ONLY: aero_type, aero_weight, log_sigma, molecular_weight_of_solute,   &
-              molecular_weight_of_water, na, rho_s, rm, vanthoff
+        ONLY: aero_species, aero_type, aero_weight, log_sigma, na, rm
 
     IMPLICIT NONE
@@ -1003,4 +1006,23 @@
     INTEGER(iwp)  :: kp             !<
 
+!
+!-- Set constants for different aerosol species
+    IF ( TRIM(aero_species) .EQ. 'nacl' ) THEN
+       molecular_weight_of_solute = 0.05844_wp 
+       rho_s                      = 2165.0_wp
+       vanthoff                   = 2.0_wp
+    ELSEIF ( TRIM(aero_species) .EQ. 'c3h4o4' ) THEN
+       molecular_weight_of_solute = 0.10406_wp 
+       rho_s                      = 1600.0_wp
+       vanthoff                   = 1.37_wp
+    ELSEIF ( TRIM(aero_species) .EQ. 'nh4o3' ) THEN
+       molecular_weight_of_solute = 0.08004_wp 
+       rho_s                      = 1720.0_wp
+       vanthoff                   = 2.31_wp
+    ELSE
+       WRITE( message_string, * ) 'unknown aerosol species ',   &
+                                'aero_species = "', TRIM( aero_species ), '"'
+       CALL message( 'lpm_init', 'PA0470', 1, 2, 0, 6, 0 )
+    ENDIF
 !
 !-- The following typical aerosol spectra are taken from Jaenicke (1993):
Index: /palm/trunk/SOURCE/microphysics_mod.f90
===================================================================
--- /palm/trunk/SOURCE/microphysics_mod.f90	(revision 2374)
+++ /palm/trunk/SOURCE/microphysics_mod.f90	(revision 2375)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Improved aerosol initilization and some minor bugfixes 
+! for droplet sedimenation
+! 
+! 2318 2017-07-20 17:27:44Z suehring
 ! Get topography top index via Function call 
 !
@@ -188,12 +192,14 @@
     REAL(wp) ::  xrmax = 5.0E-6_wp         !< maximum rain drop site (kg)
 
-    REAL(wp) ::  c_sedimentation = 2.0_wp  !< Courant number of sedimentation process
-    REAL(wp) ::  dpirho_l                  !< 6.0 / ( pi * rho_l )
-    REAL(wp) ::  dt_micro                  !< microphysics time step
-    REAL(wp) ::  na_init = 100.0E6_wp      !< Total particle/aerosol concentration (cm-3)
-    REAL(wp) ::  nc_const = 70.0E6_wp      !< cloud droplet concentration
-    REAL(wp) ::  dt_precipitation = 100.0_wp !< timestep precipitation (s)
-    REAL(wp) ::  sed_qc_const              !< const. for sedimentation of cloud water
-    REAL(wp) ::  pirho_l                   !< pi * rho_l / 6.0;
+    REAL(wp) ::  c_sedimentation = 2.0_wp        !< Courant number of sedimentation process
+    REAL(wp) ::  dpirho_l                        !< 6.0 / ( pi * rho_l )
+    REAL(wp) ::  dry_aerosol_radius = 0.05E-6_wp !< dry aerosol radius
+    REAL(wp) ::  dt_micro                        !< microphysics time step
+    REAL(wp) ::  sigma_bulk = 2.0_wp             !< width of aerosol spectrum
+    REAL(wp) ::  na_init = 100.0E6_wp            !< Total particle/aerosol concentration (cm-3)
+    REAL(wp) ::  nc_const = 70.0E6_wp            !< cloud droplet concentration
+    REAL(wp) ::  dt_precipitation = 100.0_wp     !< timestep precipitation (s)
+    REAL(wp) ::  sed_qc_const                    !< const. for sedimentation of cloud water
+    REAL(wp) ::  pirho_l                         !< pi * rho_l / 6.0;
 
     REAL(wp), DIMENSION(:), ALLOCATABLE ::  nc_1d  !<
@@ -210,6 +216,7 @@
 
     PUBLIC cloud_water_sedimentation, collision_turbulence,                    &
-           curvature_solution_effects_bulk, c_sedimentation, dt_precipitation, &
-           limiter_sedimentation, na_init, nc_const, sigma_gc,                 &
+           curvature_solution_effects_bulk, c_sedimentation,                   &
+           dry_aerosol_radius, dt_precipitation,                               &
+           limiter_sedimentation, na_init, nc_const, sigma_gc, sigma_bulk,     &
            ventilation_effect
 
@@ -290,8 +297,9 @@
 
        USE cloud_parameters,                                                   &
-           ONLY:  rho_l
+           ONLY:  molecular_weight_of_solute, rho_l, rho_s, vanthoff
 
        USE control_parameters,                                                 &
-           ONLY:  microphysics_morrison, microphysics_seifert
+           ONLY:  aerosol_nacl, aerosol_c3h4o4 , aerosol_nh4no3,               &
+                  microphysics_morrison, microphysics_seifert
 
        USE indices,                                                            &
@@ -313,4 +321,22 @@
        ENDIF
 
+!
+!--    Set constants for certain aerosol type
+       IF ( microphysics_morrison )  THEN
+          IF ( aerosol_nacl ) THEN
+             molecular_weight_of_solute = 0.05844_wp 
+             rho_s                      = 2165.0_wp
+             vanthoff                   = 2.0_wp
+          ELSEIF ( aerosol_c3h4o4 ) THEN
+             molecular_weight_of_solute = 0.10406_wp 
+             rho_s                      = 1600.0_wp
+             vanthoff                   = 1.37_wp
+          ELSEIF ( aerosol_nh4no3 ) THEN
+             molecular_weight_of_solute = 0.08004_wp 
+             rho_s                      = 1720.0_wp
+             vanthoff                   = 2.31_wp
+          ENDIF
+       ENDIF
+ 
 !
 !--    Pre-calculate frequently calculated fractions of pi and rho_l
@@ -509,5 +535,7 @@
 
        USE cloud_parameters,                                                   &
-           ONLY:  hyrho, l_d_cp, l_d_r, l_v, rho_l, r_v, t_d_pt
+           ONLY:  hyrho, l_d_cp, l_d_r, l_v, molecular_weight_of_solute,       &
+                  molecular_weight_of_water, rho_l, rho_s, r_v, t_d_pt,        &
+                  vanthoff
 
        USE constants,                                                          &
@@ -524,8 +552,4 @@
        USE control_parameters,                                                 &
           ONLY: simulated_time
-
-       USE particle_attributes,                                                &
-          ONLY:  molecular_weight_of_solute, molecular_weight_of_water, rho_s, &
-              log_sigma, vanthoff
 
        IMPLICIT NONE
@@ -545,9 +569,9 @@
        REAL(wp)     ::  n_ccn             !<
        REAL(wp)     ::  q_s               !<
-       REAL(wp)     ::  rd0               !<
        REAL(wp)     ::  s_0               !<
        REAL(wp)     ::  sat               !<
        REAL(wp)     ::  sat_max           !<
        REAL(wp)     ::  sigma             !<
+       REAL(wp)     ::  sigma_act         !<
        REAL(wp)     ::  t_int             !<
        REAL(wp)     ::  t_l               !<
@@ -616,13 +640,12 @@
 !
 !--                Prescribe power index that describes the soluble fraction
-!--                of an aerosol particle (beta) and mean geometric radius of
-!--                dry aerosol spectrum
+!--                of an aerosol particle (beta) 
 !--                (see: Morrison + Grabowski, 2007, JAS, 64)
-                   beta_act = 0.5_wp
-                   rd0      = 0.05E-6_wp
+                   beta_act  = 0.5_wp
+                   sigma_act = sigma_bulk**( 1.0_wp + beta_act )
 !
 !--                Calculate mean geometric supersaturation (s_0) with
 !--                parameterization by Khvorostyanov and Curry (2006)
-                   s_0   = rd0 **(- ( 1.0_wp + beta_act ) ) *                  &
+                   s_0   = dry_aerosol_radius **(- ( 1.0_wp + beta_act ) ) *    &
                        ( 4.0_wp * afactor**3 / ( 27.0_wp * bfactor ) )**0.5_wp
 
@@ -632,5 +655,5 @@
 !--                (see: Khvorostyanov + Curry, 2006, J. Geo. Res., 111)
                    n_ccn = ( na_init / 2.0_wp ) * ( 1.0_wp - ERF(              &
-                      LOG( s_0 / sat ) / ( SQRT(2.0_wp) * log_sigma(1) ) ) )
+                      LOG( s_0 / sat ) / ( SQRT(2.0_wp) * LOG(sigma_act) ) ) )
                    activ = MAX( ( n_ccn - nc(k,j,i) ) / dt_micro, 0.0_wp )
                 ENDIF
@@ -1357,4 +1380,5 @@
 
        sed_qc(nzt+1) = 0.0_wp
+       sed_nc(nzt+1) = 0.0_wp
 
        DO  i = nxlg, nxrg
@@ -1386,5 +1410,5 @@
                 ENDIF
 
-                IF ( qc(k,j,i) > eps_sb )  THEN
+                IF ( qc(k,j,i) > eps_sb .AND.  nc_sedi > eps_mr )  THEN
                    sed_qc(k) = sed_qc_const * nc_sedi**( -2.0_wp / 3.0_wp ) *  &
                                ( qc(k,j,i) * hyrho(k) )**( 5.0_wp / 3.0_wp ) * &
@@ -1948,5 +1972,7 @@
 
        USE cloud_parameters,                                                   &
-           ONLY:  hyrho, l_d_cp, l_d_r, l_v, rho_l, r_v, t_d_pt
+           ONLY:  hyrho, l_d_cp, l_d_r, l_v, molecular_weight_of_solute,       &
+                  molecular_weight_of_water, rho_l, rho_s, r_v, t_d_pt,        &
+                  vanthoff
 
        USE constants,                                                          &
@@ -1963,8 +1989,4 @@
        USE control_parameters,                                                 &
           ONLY: simulated_time
-
-       USE particle_attributes,                                                &
-          ONLY:  molecular_weight_of_solute, molecular_weight_of_water, rho_s, &
-              log_sigma, vanthoff
 
        IMPLICIT NONE
@@ -1984,9 +2006,9 @@
        REAL(wp)     ::  n_ccn             !<
        REAL(wp)     ::  q_s               !<
-       REAL(wp)     ::  rd0               !<
        REAL(wp)     ::  s_0               !<
        REAL(wp)     ::  sat               !<
        REAL(wp)     ::  sat_max           !<
        REAL(wp)     ::  sigma             !<
+       REAL(wp)     ::  sigma_act         !<
        REAL(wp)     ::  t_int             !<
        REAL(wp)     ::  t_l               !<
@@ -2052,13 +2074,12 @@
 !
 !--          Prescribe power index that describes the soluble fraction
-!--          of an aerosol particle (beta) and mean geometric radius of
-!--          dry aerosol spectrum
+!--          of an aerosol particle (beta).
 !--          (see: Morrison + Grabowski, 2007, JAS, 64)
-             beta_act = 0.5_wp
-             rd0      = 0.05E-6_wp
+             beta_act  = 0.5_wp
+             sigma_act = sigma_bulk**( 1.0_wp + beta_act )
 !
 !--          Calculate mean geometric supersaturation (s_0) with
 !--          parameterization by Khvorostyanov and Curry (2006)
-             s_0   = rd0 **(- ( 1.0_wp + beta_act ) ) *                        &
+             s_0   = dry_aerosol_radius **(- ( 1.0_wp + beta_act ) ) *         &
                ( 4.0_wp * afactor**3 / ( 27.0_wp * bfactor ) )**0.5_wp
 
@@ -2067,6 +2088,6 @@
 !--          supersaturation and taking Koehler theory into account
 !--          (see: Khvorostyanov + Curry, 2006, J. Geo. Res., 111)
-             n_ccn = ( na_init / 2.0_wp ) * ( 1.0_wp - ERF(                     &
-                LOG( s_0 / sat ) / ( SQRT(2.0_wp) * log_sigma(1) ) ) )
+             n_ccn = ( na_init / 2.0_wp ) * ( 1.0_wp - ERF(                    &
+                LOG( s_0 / sat ) / ( SQRT(2.0_wp) * LOG(sigma_act) ) ) )
              activ = MAX( ( n_ccn ) / dt_micro, 0.0_wp )
 
@@ -2709,4 +2730,6 @@
 
        sed_qc(nzt+1) = 0.0_wp
+       sed_nc(nzt+1) = 0.0_wp
+
 
        DO  k = nzt, nzb+1, -1
@@ -2735,5 +2758,5 @@
           ENDIF
 
-          IF ( qc_1d(k) > eps_sb )  THEN
+          IF ( qc_1d(k) > eps_sb  .AND.  nc_sedi > eps_mr )  THEN
              sed_qc(k) = sed_qc_const * nc_sedi**( -2.0_wp / 3.0_wp ) *        &
                          ( qc_1d(k) * hyrho(k) )**( 5.0_wp / 3.0_wp )  * flag
Index: /palm/trunk/SOURCE/mod_particle_attributes.f90
===================================================================
--- /palm/trunk/SOURCE/mod_particle_attributes.f90	(revision 2374)
+++ /palm/trunk/SOURCE/mod_particle_attributes.f90	(revision 2375)
@@ -20,9 +20,13 @@
 ! Current revisions:
 ! ------------------
-!
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! molecular_weight_of_solute, molecular_weight_of_water, vanthoff removed and 
+! added in modules. Parameters are also used in bulk-microphysics.
+!
+! 2312 2017-07-14 20:26:51Z hoffmann
 ! Aerosol initialization improved.
 !
@@ -95,12 +99,13 @@
     USE kinds
 
-    CHARACTER(LEN=15) ::  aero_type = 'maritime'                   !< aerosol type
-    CHARACTER(LEN=15) ::  bc_par_lr = 'cyclic'                     !< left/right boundary condition
-    CHARACTER(LEN=15) ::  bc_par_ns = 'cyclic'                     !< north/south boundary condition
-    CHARACTER(LEN=15) ::  bc_par_b  = 'reflect'                    !< bottom boundary condition
-    CHARACTER(LEN=15) ::  bc_par_t  = 'absorb'                     !< top boundary condition
-    CHARACTER(LEN=15) ::  collision_kernel = 'none'                !< collision kernel
+    CHARACTER(LEN=15) ::  aero_species = 'nacl'                    !< aerosol species
+    CHARACTER(LEN=15) ::  aero_type    = 'maritime'                !< aerosol type
+    CHARACTER(LEN=15) ::  bc_par_lr    = 'cyclic'                  !< left/right boundary condition
+    CHARACTER(LEN=15) ::  bc_par_ns    = 'cyclic'                  !< north/south boundary condition
+    CHARACTER(LEN=15) ::  bc_par_b     = 'reflect'                 !< bottom boundary condition
+    CHARACTER(LEN=15) ::  bc_par_t     = 'absorb'                  !< top boundary condition
+    CHARACTER(LEN=15) ::  collision_kernel   = 'none'              !< collision kernel
     CHARACTER(LEN=5)  ::  splitting_function = 'gamma'             !< function for calculation critical weighting factor
-    CHARACTER(LEN=5)  ::  splitting_mode = 'const'                 !< splitting mode
+    CHARACTER(LEN=5)  ::  splitting_mode     = 'const'             !< splitting mode
 
     INTEGER(iwp) ::  deleted_particles = 0                        !< number of deleted particles per time step
@@ -172,6 +177,4 @@
     REAL(wp) ::  initial_weighting_factor = 1.0_wp         !< namelist parameter (see documentation)
     REAL(wp) ::  log_sigma(3) = 1.0_wp                     !< namelist parameter (see documentation)
-    REAL(wp) ::  molecular_weight_of_solute = 0.05844_wp   !< mol. m. NaCl (kg mol-1)
-    REAL(wp) ::  molecular_weight_of_water = 0.01801528_wp !< mol. m. H2O (kg mol-1)
     REAL(wp) ::  na(3) = 0.0_wp                            !< namelist parameter (see documentation)
     REAL(wp) ::  number_concentration = -1.0_wp            !< namelist parameter (see documentation)
@@ -179,10 +182,8 @@
     REAL(wp) ::  radius_merge = 1.0E-7_wp                  !< namelist parameter (see documentation)
     REAL(wp) ::  radius_split = 40.0E-6_wp                 !< namelist parameter (see documentation)
-    REAL(wp) ::  rho_s = 2165.0_wp                         !< density of NaCl (kg m-3)
     REAL(wp) ::  rm(3) = 1.0E-6_wp                         !< namelist parameter (see documentation)
     REAL(wp) ::  sgs_wf_part                               !< parameter for sgs
     REAL(wp) ::  time_prel = 0.0_wp                        !< time for particle release
     REAL(wp) ::  time_write_particle_data = 0.0_wp         !< write particle data at current time on file
-    REAL(wp) ::  vanthoff = 2.0_wp                         !< van't Hoff factor for NaCl
     REAL(wp) ::  weight_factor_merge = -1.0_wp             !< namelist parameter (see documentation)
     REAL(wp) ::  weight_factor_split = -1.0_wp             !< namelist parameter (see documentation)
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 2374)
+++ /palm/trunk/SOURCE/modules.f90	(revision 2375)
@@ -25,4 +25,10 @@
 ! -----------------
 ! $Id$
+! Moved mass_of_solute, molecular_weight_of_solute, molecular_weight_of_water,
+! vanthoff back from particle attributes because they can now also be used in
+! bulk microphysics. 
+! Added aerosol_bulk, aerosol_nacl, aerosol_c3h4o4, aerosol_nh4no3
+! 
+! 2372 2017-08-25 12:37:32Z sward
 ! y_shift namelist parameter added
 ! 
@@ -878,12 +884,17 @@
     USE kinds
 
-    REAL(wp) ::  cp = 1005.0_wp         !< heat capacity of dry air (J kg-1 K-1)
-    REAL(wp) ::  l_v = 2.5E+06_wp       !< latent heat of vaporization (J kg-1)
-    REAL(wp) ::  l_d_cp                 !< l_v / cp
-    REAL(wp) ::  l_d_r                  !< l_v / r_d
-    REAL(wp) ::  l_d_rv                 !< l_v / r_v    
-    REAL(wp) ::  rho_l = 1.0E3_wp       !< density of water (kg m-3)
-    REAL(wp) ::  r_d = 287.0_wp         !< sp. gas const. dry air (J kg-1 K-1)
-    REAL(wp) ::  r_v = 461.51_wp        !< sp. gas const. water vapor (J kg-1 K-1)
+    REAL(wp) ::  cp = 1005.0_wp                            !< heat capacity of dry air (J kg-1 K-1)
+    REAL(wp) ::  l_v = 2.5E+06_wp                          !< latent heat of vaporization (J kg-1)
+    REAL(wp) ::  l_d_cp                                    !< l_v / cp
+    REAL(wp) ::  l_d_r                                     !< l_v / r_d
+    REAL(wp) ::  l_d_rv                                    !< l_v / r_v    
+    REAL(wp) ::  molecular_weight_of_solute = 0.05844_wp   !< mol. m. NaCl (kg mol-1)
+    REAL(wp) ::  molecular_weight_of_water = 0.01801528_wp !< mol. m. H2O (kg mol-1)
+    REAL(wp) ::  rho_l = 1.0E3_wp                          !< density of water (kg m-3)
+    REAL(wp) ::  rho_s = 2165.0_wp                         !< density of NaCl (kg m-3)
+    REAL(wp) ::  r_d = 287.0_wp                            !< sp. gas const. dry air (J kg-1 K-1)
+    REAL(wp) ::  r_v = 461.51_wp                           !< sp. gas const. water vapor (J kg-1 K-1)
+    REAL(wp) ::  vanthoff = 2.0_wp                         !< van't Hoff factor for NaCl
+
 
 
@@ -974,4 +985,5 @@
     CHARACTER (LEN=20)   ::  bc_uv_b = 'dirichlet'                        !< namelist parameter
     CHARACTER (LEN=20)   ::  bc_uv_t = 'dirichlet'                        !< namelist parameter
+    CHARACTER (LEN=20)   ::  aerosol_bulk = 'nacl'                        !< namelist parameter
     CHARACTER (LEN=20)   ::  cloud_scheme = 'saturation_adjust'           !< namelist parameter
     CHARACTER (LEN=20)   ::  coupling_mode = 'uncoupled'                  !< coupling mode for atmosphere-ocean coupling  
@@ -1119,4 +1131,7 @@
     INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  mask_k_global  !< global grid index of masked output point on z-dimension
 
+    LOGICAL ::  aerosol_nacl =.TRUE.                         !< nacl aerosol for bulk scheme
+    LOGICAL ::  aerosol_c3h4o4 =.FALSE.                      !< malonic acid aerosol for bulk scheme
+    LOGICAL ::  aerosol_nh4no3 =.FALSE.                      !< malonic acid aerosol for bulk scheme
     LOGICAL ::  bc_lr_cyc =.TRUE.                            !< left-right boundary condition cyclic?
     LOGICAL ::  bc_lr_dirrad = .FALSE.                       !< left-right boundary condition dirichlet/radiation?
Index: /palm/trunk/SOURCE/package_parin.f90
===================================================================
--- /palm/trunk/SOURCE/package_parin.f90	(revision 2374)
+++ /palm/trunk/SOURCE/package_parin.f90	(revision 2375)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-!
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Added aerosol_species
+!
+! 2312 2017-07-14 20:26:51Z hoffmann
 ! Aerosol initialization improved.
 !
@@ -168,6 +171,6 @@
 
     USE particle_attributes,                                                   &
-        ONLY:  aero_type, aero_weight, alloc_factor, bc_par_b, bc_par_lr,      &
-               bc_par_ns, bc_par_t, collision_kernel,                          &
+        ONLY:  aero_species, aero_type, aero_weight, alloc_factor, bc_par_b,   &
+               bc_par_lr, bc_par_ns, bc_par_t, collision_kernel,               &
                curvature_solution_effects, deallocate_memory, density_ratio,   &
                dissipation_classes, dt_min_part, dt_prel,                      &
@@ -209,6 +212,6 @@
                                   vc_size_y, vc_size_z
 
-    NAMELIST /particles_par/      aero_type, aero_weight, alloc_factor,        &
-                                  bc_par_b, bc_par_lr,                         &
+    NAMELIST /particles_par/      aero_species, aero_type, aero_weight,        &
+                                  alloc_factor, bc_par_b, bc_par_lr,           &
                                   bc_par_ns, bc_par_t,                         &
                                   collision_kernel, curvature_solution_effects,&
Index: /palm/trunk/SOURCE/parin.f90
===================================================================
--- /palm/trunk/SOURCE/parin.f90	(revision 2374)
+++ /palm/trunk/SOURCE/parin.f90	(revision 2375)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Added aerosol initialization for bulk microphysics
+! 
+! 2372 2017-08-25 12:37:32Z sward
 ! y_shift added to namelist
 ! 
@@ -323,5 +326,7 @@
         ONLY:  c_sedimentation, cloud_water_sedimentation,                     &
                collision_turbulence, curvature_solution_effects_bulk,          &
-               limiter_sedimentation ,na_init, nc_const, ventilation_effect
+               dry_aerosol_radius, limiter_sedimentation, na_init, nc_const,   &
+               sigma_bulk, ventilation_effect
+
 
     USE model_1d_mod,                                                          &
@@ -369,6 +374,6 @@
 
 
-    NAMELIST /inipar/  alpha_surface, approximation, bc_e_b, bc_lr,            &
-                       bc_ns, bc_p_b, bc_p_t, bc_pt_b, bc_pt_t, bc_q_b,        &
+    NAMELIST /inipar/  aerosol_bulk, alpha_surface, approximation, bc_e_b,     &
+                       bc_lr, bc_ns, bc_p_b, bc_p_t, bc_pt_b, bc_pt_t, bc_q_b, &
              bc_q_t,bc_s_b, bc_s_t, bc_sa_t, bc_uv_b, bc_uv_t,                 &
              bottom_salinityflux, building_height, building_length_x,          &
@@ -386,5 +391,5 @@
              data_output_during_spinup,                                        &
              dissipation_1d,                                                   &
-             dp_external, dp_level_b, dp_smooth, dpdxy,                        &
+             dp_external, dp_level_b, dp_smooth, dpdxy, dry_aerosol_radius,    &
              dt, dt_pr_1d, dt_run_control_1d, dt_spinup, dx, dy, dz, dz_max,   &
              dz_stretch_factor, dz_stretch_level, end_time_1d,                 &
@@ -413,5 +418,5 @@
              roughness_length, sa_surface,                                     &
              sa_vertical_gradient, sa_vertical_gradient_level, scalar_advec,   &
-             scalar_rayleigh_damping,                                          &
+             scalar_rayleigh_damping, sigma_bulk,                              &
              spinup_time, spinup_pt_amplitude, spinup_pt_mean,                 &
              statistic_regions, subs_vertical_gradient,                        &