Index: palm/trunk/SCRIPTS/palmbuild
===================================================================
--- palm/trunk/SCRIPTS/palmbuild	(revision 2381)
+++ palm/trunk/SCRIPTS/palmbuild	(revision 2384)
@@ -54,5 +54,5 @@
  ssh_key=""
  suf=f90
- version="PALMBUILD  0.1  Rev$Rev: 2316 $"
+ version="palmbuild  0.1  Rev$Rev: 2316 $"
  working_directory=`pwd`
 
@@ -597,5 +597,5 @@
 
              # COPY MAKE DEPOSITORY ON REMOTE MACHINE TO SOURCES_FOR_RUN_...
-          printf "\n  *** copy MAKE_DEPOSITORY on remote host to SOURCES_FOR_RUN_$fname \n"
+          printf "\n  *** copy MAKE_DEPOSITORY_${host} on remote host to SOURCES_FOR_RUN_$fname \n"
           echo  "rm -rf $tmp_user_catalog/SOURCES_FOR_RUN_$fname; mkdir $tmp_user_catalog/SOURCES_FOR_RUN_$fname; cp ${remote_make_depository}/${program_name}_current_version.tar  $tmp_user_catalog/SOURCES_FOR_RUN_$fname; cd $tmp_user_catalog/SOURCES_FOR_RUN_$fname; tar xf ${program_name}_current_version.tar"  |  ssh  -q  $ssh_key  ${remote_username}@${remote_ip}  2>&1
 
@@ -754,5 +754,5 @@
 
              # COPY MAKE DEPOSITORY ON LOCAL MACHINE TO SOURCES_FOR_RUN_...
-          printf "\n  *** copy MAKE_DEPOSITORY on local host to "
+          printf "\n  *** copy MAKE_DEPOSITORY_${host} on local host to "
           printf "\n      $tmp_user_catalog/SOURCES_FOR_RUN_$fname \n"
           rm -rf $tmp_user_catalog/SOURCES_FOR_RUN_$fname
Index: palm/trunk/SCRIPTS/palmrun
===================================================================
--- palm/trunk/SCRIPTS/palmrun	(revision 2381)
+++ palm/trunk/SCRIPTS/palmrun	(revision 2384)
@@ -52,5 +52,4 @@
  activation_string_list=""
  AddFilenames=""
- add_source_path=""
  combine_plot_fields=true
  compiler_name=""
@@ -112,4 +111,5 @@
  tmp_data_catalog=""
  transfer_problems=false
+ user_source_path=""
  use_openmp=false
  version="palmrun  0.9 Rev$Rev: 2303 $"
@@ -225,17 +225,13 @@
     printf "\n        -b    batch-job on local machine               ---"
     printf "\n        -B    do not delete temporary directory at end ---"
-    printf "\n        -c    configuration file                       .mrun.config"
+    printf "\n        -c    configuration file                       .palm.config.default"
     printf "\n        -d    base name of files attached to program   test"
     printf "\n        -F    create batch job file only               ---"
     printf "\n        -h    execution host                           \"default\" "
     printf "\n        -k    keep data from previous run"
-    printf "\n        -K    additional conditions for controling"
-    printf "\n              usage of conditional code and"
-    printf "\n              env-variables in configuration file      \"\" "
     printf "\n        -m    memory demand in MB (batch-jobs)         0 MB"
     printf "\n        -M    Makefile name                            Makefile"
     printf "\n        -O    threads per openMP task                  ---"
     printf "\n        -q    queue                                    \"$queue\" "
-    printf "\n        -r    run control list (combines -i -o)        \"\" "
     printf "\n        -s    filenames of routines to be compiled     \"\" "
     printf "\n              must end with .f, .f90, .F, or .c !"
@@ -243,5 +239,5 @@
     printf "\n              -s LM compiles all locally modified files"
     printf "\n        -t    allowed cpu-time in seconds (batch)      0"
-    printf "\n        -T    tasks per node                           depending on -h"
+    printf "\n        -T    tasks per node                           ---"
     printf "\n        -u    username on remote machine               \"\" "
     printf "\n        -v    no prompt for confirmation               ---"
@@ -732,16 +728,16 @@
 
           # COPY FILES FROM OPTIONAL SOURCE PATH GIVEN IN THE CONFIGURATION FILE
-       if [[ "$add_source_path" != "" ]]
+       if [[ "$user_source_path" != "" ]]
        then
 
              # DOES THE DIRECTORY EXIST?
-          if [[ ! -d $add_source_path ]]
+          if [[ ! -d $user_source_path ]]
           then
 
              printf "\n\n  *** INFORMATIVE: additional source code directory"
-             printf "\n      \"$add_source_path\" "
+             printf "\n      \"$user_source_path\" "
              printf "\n      does not exist or is not a directory."
              printf "\n      No source code will be used from this directory!\n"
-             add_source_path=""
+             user_source_path=""
              if [[ $silent == false ]]
              then
@@ -751,5 +747,5 @@
           else
 
-             cd $add_source_path
+             cd $user_source_path
              found=false
 
@@ -769,13 +765,13 @@
 
                 # COPY MAKEFILE IF EXISTING
-             if [[ -f $add_source_path/Makefile ]]
+             if [[ -f $user_source_path/Makefile ]]
              then
                 printf "\n\n  *** user Makefile from directory"
-                printf "\n      \"$add_source_path\" is used \n"
+                printf "\n      \"$user_source_path\" is used \n"
                 if [[ $silent == false ]]
                 then
                    sleep 1
                 fi
-                cp  $add_source_path/Makefile  .
+                cp  $user_source_path/Makefile  .
              fi
 
@@ -785,5 +781,5 @@
                 then
                    printf "\n  +++ source code file \"$filename\" found in additional"
-                   printf "\n      source code directory \"$add_source_path\" "
+                   printf "\n      source code directory \"$user_source_path\" "
                    printf "\n      but was also given with option \"-s\" which means that it should be taken"
                    printf "\n      from directory \"$source_path\"."
@@ -791,5 +787,5 @@
                 fi
 
-                cp  $add_source_path/$filename  .
+                cp  $user_source_path/$filename  .
                 source_list="$source_list $filename"
 
@@ -848,5 +844,5 @@
        # CHECK, IF THE NUMBER OF CORES PER NODE HAS BEEN GIVEN UND IF IT IS AN
        # INTEGRAL DIVISOR OF THE TOTAL NUMBER OF CORES GIVEN BY OPTION -X
-    if [[ "$tasks_per_node" = ""  &&  $host != lcxt5m ]]
+    if [[ "$tasks_per_node" = "" ]]
     then
        printf "\n"
@@ -1191,13 +1187,13 @@
        # CHECK IF CPUTIME IS GIVEN FOR JOB
     done=false
+    cputime=$cpumax
     while [[ $done = false ]]
     do
-       cputime=$cpumax
-       if (( $cputime == 0 ))
+       if (( cputime == 0 ))
        then
           printf "\n  +++ cpu-time is undefined"
           printf "\n  >>> Please type CPU-time in seconds as INTEGER:"
           printf "\n  >>> "
-          read  cputime  1>/dev/null  2>&1
+          read  cputime   1>/dev/null  2>&1
        else
           done=true
@@ -1311,4 +1307,9 @@
  then
     column1="threads per task:"; column2="$threads_per_task"
+    printf "| %-25s%-45s | \n" "$column1" "$column2"
+ fi
+ if [[ $create_batch_job = true  ||  $create_remote_batch_job = true  ||  $running_in_batch_mode = true ]]
+ then
+    column1="job cpu time (h:m:s):"; column2="$timestring"
     printf "| %-25s%-45s | \n" "$column1" "$column2"
  fi