Index: /palm/trunk/SCRIPTS/palmbuild
===================================================================
--- /palm/trunk/SCRIPTS/palmbuild	(revision 2387)
+++ /palm/trunk/SCRIPTS/palmbuild	(revision 2388)
@@ -424,7 +424,7 @@
        line=$(echo "$line" | cut -c51-)
     done
-    column2=$(echo "$loader_options" | cut -c1-50 )
-    printf "| %-20s%-50s | \n" "loader options:" "$column2"
-    line=$(echo "$loader_options" | cut -c51-)
+    column2=$(echo "$linker_options" | cut -c1-50 )
+    printf "| %-20s%-50s | \n" "linker options:" "$column2"
+    line=$(echo "$linker_options" | cut -c51-)
     while [[ "$line" != "" ]]
     do
@@ -521,5 +521,5 @@
           echo " "
           echo "  *** creating utilities on remote host"
-          make_call_string="make  -f Makefile_utilities  $make_options  F90=$compiler_name  F90_SER=$compiler_name_ser  COPT=\"$cpp_options\"  F90FLAGS=\"$compiler_options\"  LDFLAGS=\"$loader_options\" "
+          make_call_string="make  -f Makefile_utilities  $make_options  F90=$compiler_name  F90_SER=$compiler_name_ser  COPT=\"$cpp_options\"  F90FLAGS=\"$compiler_options\"  LDFLAGS=\"$linker_options\" "
           echo "$login_init_cmd $module_commands cd ${remote_make_depository}; echo $make_call_string > LAST_MAKE_CALL; chmod u+x LAST_MAKE_CALL; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" | ssh  -q  $ssh_key  ${remote_username}@${remote_ip} 2>&1 | tee ${remote_hostname}_last_make_protokoll
 
@@ -555,5 +555,5 @@
           echo " "
           echo "  *** compile PALM sources on remote host"
-          make_call_string="make  $make_options  PROG=$program_name  F90=$compiler_name  COPT=\"$cpp_options\"  F90FLAGS=\"$compiler_options\"  LDFLAGS=\"$loader_options\" "
+          make_call_string="make  $make_options  PROG=$program_name  F90=$compiler_name  COPT=\"$cpp_options\"  F90FLAGS=\"$compiler_options\"  LDFLAGS=\"$linker_options\" "
           echo "$login_init_cmd $module_commands cd ${remote_make_depository}; echo $make_call_string > LAST_MAKE_CALL; chmod u+x LAST_MAKE_CALL; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" | ssh  -q  $ssh_key  ${remote_username}@${remote_ip} 2>&1 | tee ${remote_hostname}_last_make_protokoll
 
@@ -610,5 +610,5 @@
           then
 
-             make_call_string="make  $make_options  PROG=$program_name  F90=$compiler_name  COPT=\"$cpp_options\"  F90FLAGS=\"$compiler_options\"  LDFLAGS=\"$loader_options\" "
+             make_call_string="make  $make_options  PROG=$program_name  F90=$compiler_name  COPT=\"$cpp_options\"  F90FLAGS=\"$compiler_options\"  LDFLAGS=\"$linker_options\" "
              [[ "$login_init_cmd" != "" ]]   &&  login_init_cmd=${login_init_cmd}";"
              [[ "$module_commands" != "" ]]  &&  module_commands=${module_commands}";"
@@ -700,5 +700,5 @@
           echo " "
           echo "  *** creating utilities on local host"
-          make  -f Makefile_utilities  $make_options  F90=$compiler_name  F90_SER=$compiler_name_ser  COPT="$cpp_options"  F90FLAGS="$compiler_options"  LDFLAGS="$loader_options"
+          make  -f Makefile_utilities  $make_options  F90=$compiler_name  F90_SER=$compiler_name_ser  COPT="$cpp_options"  F90FLAGS="$compiler_options"  LDFLAGS="$linker_options"
 
 
@@ -707,5 +707,5 @@
           echo "  *** compile PALM sources on local host"
 
-          make  $make_options  PROG=$program_name  F90=$compiler_name  COPT="$cpp_options"  F90FLAGS="$compiler_options"  LDFLAGS="$loader_options"  2>&1 | tee ${local_hostname}_last_make_protokoll
+          make  $make_options  PROG=$program_name  F90=$compiler_name  COPT="$cpp_options"  F90FLAGS="$compiler_options"  LDFLAGS="$linker_options"  2>&1 | tee ${local_hostname}_last_make_protokoll
 
           if [[ $? != 0 ]]
@@ -778,5 +778,5 @@
              [[ "$module_commands" != "" ]]  &&  $module_commands
 
-             make  $make_options  PROG=$program_name  F90=$compiler_name  COPT="$cpp_options"  F90FLAGS="$compiler_options"  LDFLAGS="$loader_options"
+             make  $make_options  PROG=$program_name  F90=$compiler_name  COPT="$cpp_options"  F90FLAGS="$compiler_options"  LDFLAGS="$linker_options"
 
              if [[ \$? != 0 ]]
Index: /palm/trunk/SCRIPTS/palmrun
===================================================================
--- /palm/trunk/SCRIPTS/palmrun	(revision 2387)
+++ /palm/trunk/SCRIPTS/palmrun	(revision 2388)
@@ -83,5 +83,5 @@
  link_local_input=false
  link_local_output=false
- loader_options=""
+ linker_options=""
  local_jobcatalog=""
  locat=normal
@@ -416,8 +416,8 @@
     locat=config_file; exit
  fi
- if [[ "$loader_options" = "" ]]
- then
-    printf "\n  +++ no loader options found in $config_file"
-    printf "\n      Please add line \"loader_options ...\" to that file."
+ if [[ "$linker_options" = "" ]]
+ then
+    printf "\n  +++ no linker options found in $config_file"
+    printf "\n      Please add line \"linker_options ...\" to that file."
     locat=config_file; exit
  fi
@@ -1355,7 +1355,7 @@
  done
 
- column1="loader options:"; column2=$(echo "$loader_options" | cut -c-45)
+ column1="linker options:"; column2=$(echo "$linker_options" | cut -c-45)
  printf "| %-25s%-45s | \n" "$column1" "$column2"
- line=$(echo "$loader_options" | cut -c46-)
+ line=$(echo "$linker_options" | cut -c46-)
  while [[ "$line" != "" ]]
  do