Index: palm/trunk/SCRIPTS/.palm.config.crayh
===================================================================
--- palm/trunk/SCRIPTS/.palm.config.crayh	(revision 2405)
+++ palm/trunk/SCRIPTS/.palm.config.crayh	(revision 2405)
@@ -0,0 +1,74 @@
+#$Id$
+#column 1          column 2
+#name of variable  value of variable (~ must not be used)
+#----------------------------------------------------------------------------
+%base_directory      $HOME/palm/current_version
+%base_data           ~/palm/current_version/JOBS
+%source_path         $HOME/palm/current_version/trunk/SOURCE
+%user_source_path    $base_directory/JOBS/$fname/USER_CODE
+%fast_io_catalog     /gfs2/work/niksiraa
+%local_jobcatalog    /home/raasch/job_queue
+%remote_jobcatalog   /home/h/niksiraa/job_queue
+#
+%local_ip            130.75.105.103
+%local_hostname      bora_imuk
+%local_username      raasch
+%remote_ip           130.75.4.1
+%remote_hostname     cray-han
+%remote_loginnode    hlogin1
+%remote_username     niksiraa
+%ssh_key             id_rsa_hlrn
+%defaultqueue        mpp2testq
+%submit_command      /opt/moab/default/bin/msub -E
+#
+%compiler_name       ftn
+%compiler_name_ser   ftn
+%cpp_options         -e Z -DMPI_REAL=MPI_DOUBLE_PRECISION -DMPI_2REAL=MPI_2DOUBLE_PRECISION -D__parallel -D__netcdf -D__netcdf4 -D__netcdf4_parallel -D__fftw
+%make_options        -j 4
+%compiler_options    -em -O3 -hnoomp -hnoacc -hfp3 -hdynamic
+%linker_options      -em -O3 -hnoomp -hnoacc -hfp3 -hdynamic -dynamic
+%execute_command     aprun  -n {{MPI_TASKS}}  -N {{TASKS_PER_NODE}}  palm
+%memory              2300
+%module_commands     module load fftw cray-hdf5-parallel cray-netcdf-hdf5parallel
+%login_init_cmd      module switch craype-ivybridge craype-haswell
+#
+# BATCH-directives to be used for batch jobs. If $-characters are required, hide them with \\\
+BD:#!/bin/bash
+BD:#PBS -N {{JOB_ID}}
+BD:#PBS -l walltime={{CPU_HOURS}}:{{CPU_MINUTES}}:{{CPU_SECONDS}}
+BD:#PBS -l nodes={{NODES}}:ppn={{TASKS_PER_NODE}}
+BD:#PBS -o {{JOBFILE}}
+BD:#PBS -j oe
+BD:#PBS -q {{QUEUE}}
+#
+# BATCH-directives for batch jobs used to send back the jobfile from a remote to a local host
+BDT:#!/bin/bash
+BDT:#PBS -N job_protocol_transfer
+BDT:#PBS -l walltime=00:30:00
+BDT:#PBS -l nodes=1:ppn=1
+BDT:#PBS -o {{JOB_TRANSFER_PROTOCOL_FILE}}
+BDT:#PBS -j oe
+BDT:#PBS -q dataq
+#
+#----------------------------------------------------------------------------
+# INPUT-commands, executed before running PALM - lines must start with "IC:" 
+#----------------------------------------------------------------------------
+IC:export ATP_ENABLED=1
+IC:export MPICH_GNI_BTE_MULTI_CHANNEL=disabled
+IC:ulimit  -s unlimited
+#
+#----------------------------------------------------------------------------
+# ERROR-commands - executed when program terminates abnormally
+#----------------------------------------------------------------------------
+EC:[[ \$locat = execution ]]  &&  cat  RUN_CONTROL
+#
+#----------------------------------------------------------------------------
+# OUTPUT-commands - executed when program terminates normally
+#----------------------------------------------------------------------------
+#
+# Combine 1D- and 3D-profile output (these files are not usable for plotting)
+OC:[[ -f LIST_PROFIL_1D     ]]  &&  cat  LIST_PROFIL_1D  >>  LIST_PROFILE
+OC:[[ -f LIST_PROFIL        ]]  &&  cat  LIST_PROFIL     >>  LIST_PROFILE
+#
+# Combine all particle information files
+OC:[[ -f PARTICLE_INFOS/_0000 ]]  &&  cat  PARTICLE_INFOS/* >> PARTICLE_INFO
Index: palm/trunk/SCRIPTS/.palm.iofiles
===================================================================
--- palm/trunk/SCRIPTS/.palm.iofiles	(revision 2405)
+++ palm/trunk/SCRIPTS/.palm.iofiles	(revision 2405)
@@ -0,0 +1,112 @@
+#
+#----------------------------------------------------------------------------
+# List of input-files
+#----------------------------------------------------------------------------
+PARIN                    in:job        d3#   $base_data/$fname/INPUT    _p3d
+#PARIN_02                    in:job        d3#   $base_data/$fname/INPUT    _02_p3d
+#PARIN_03                    in:job        d3#   $base_data/$fname/INPUT    _03_p3d
+PARIN                    in:job        pcr   $base_data/$fname/INPUT    _pcr
+PARIN                    in:job        d3r   $base_data/$fname/INPUT    _p3dr
+TOPOGRAPHY_DATA          in:locopt     d3#:d3r   $base_data/$fname/INPUT    _topo
+#TOPOGRAPHY_DATA_02          in:locopt     d3#:d3r   $base_data/$fname/INPUT    _02_topo
+#TOPOGRAPHY_DATA_03          in:locopt     d3#:d3r   $base_data/$fname/INPUT    _03_topo
+#WTM_DATA                 in:job        d3#:d3r   $base_data/$fname/INPUT    _wtm
+BININ                    in:loc:lnpe   d3r:rec   $fast_io_catalog/$fname/RESTART  _d3d
+PARTICLE_RESTART_DATA_IN in:loc:lnpe   prtf  $fast_io_catalog/$fname/RESTART  _rprt
+DATA_1D_PR_NETCDF        in:locopt     prf   $base_data/$fname/OUTPUT   _pr     nc
+DATA_1D_SP_NETCDF        in:locopt     spf   $base_data/$fname/OUTPUT   _sp     nc
+DATA_1D_TS_NETCDF        in:locopt     tsf   $base_data/$fname/OUTPUT   _ts     nc
+DATA_1D_PTS_NETCDF       in:locopt     ptsf  $base_data/$fname/OUTPUT   _pts    nc
+DATA_2D_XY_NETCDF        in:locopt     xyf   $base_data/$fname/OUTPUT   _xy     nc
+DATA_2D_XY_AV_NETCDF     in:locopt     xyf   $base_data/$fname/OUTPUT   _xy_av  nc
+DATA_2D_XZ_NETCDF        in:locopt     xzf   $base_data/$fname/OUTPUT   _xz     nc
+DATA_2D_YZ_NETCDF        in:locopt     yzf   $base_data/$fname/OUTPUT   _yz     nc
+DATA_3D_NETCDF           in:locopt     3df   $base_data/$fname/OUTPUT   _3d     nc
+DATA_PRT_NETCDF          in:locopt:pe  prtf  $base_data/$fname/OUTPUT   _prt
+#
+#----------------------------------------------------------------------------
+# List of output-files
+#----------------------------------------------------------------------------
+BINOUT                    out:loc:lnpe restart   $fast_io_catalog/$fname/RESTART  _d3d
+PARTICLE_RESTART_DATA_OUT out:loc:lnpe prt#:prtf $fast_io_catalog/$fname/RESTART  _rprt
+#
+RUN_CONTROL       out:loc:tr   d3#:pcr $base_data/$fname/MONITORING  _rc
+RUN_CONTROL       out:loc:tra  d3r     $base_data/$fname/MONITORING  _rc
+HEADER            out:loc:tr   d3#:pcr $base_data/$fname/MONITORING  _header
+HEADER            out:loc:tra  d3r     $base_data/$fname/MONITORING  _header
+CPU_MEASURES      out:loc:tr   d3#:pcr $base_data/$fname/MONITORING  _cpu
+CPU_MEASURES      out:loc:tra  d3r     $base_data/$fname/MONITORING  _cpu
+PARTICLE_INFO     out:loc:tr   pt#     $base_data/$fname/MONITORING  _prt_info
+PARTICLE_INFO     out:loc:tra  ptr     $base_data/$fname/MONITORING  _prt_info
+LIST_PROFIL       out:loc:tr   d3#     $base_data/$fname/MONITORING  _list_pr
+#
+TURBINE_PARAMETERS01   out:loc:tr    d3#:d3r   $base_data/$fname/MONITORING  _turbine_parameters01
+TURBINE_PARAMETERS02   out:loc:tr    d3#:d3r   $base_data/$fname/MONITORING  _turbine_parameters02
+TURBINE_PARAMETERS03   out:loc:tr    d3#:d3r   $base_data/$fname/MONITORING  _turbine_parameters03
+TURBINE_PARAMETERS04   out:loc:tr    d3#:d3r   $base_data/$fname/MONITORING  _turbine_parameters04
+#
+DATA_1D_PR_NETCDF out:loc:tr   pr#:prr $base_data/$fname/OUTPUT      _pr  nc
+#DATA_1D_PR_NETCDF out:loc      pr#:prr $base_data/$fname/OUTPUT      _pr  nc
+DATA_1D_SP_NETCDF out:loc:tr   sp#:spr $base_data/$fname/OUTPUT      _sp  nc
+#DATA_1D_SP_NETCDF out:loc      sp#:spr $base_data/$fname/OUTPUT      _sp  nc
+DATA_1D_TS_NETCDF out:loc:tr   ts#:tsr $base_data/$fname/OUTPUT      _ts  nc
+#DATA_1D_TS_NETCDF out:loc      ts#:tsr $base_data/$fname/OUTPUT      _ts  nc
+DATA_1D_PTS_NETCDF out:loc:tr  pts#:ptsr $base_data/$fname/OUTPUT      _pts  nc
+#DATA_1D_PTS_NETCDF out:loc     pts#:ptsr $base_data/$fname/OUTPUT      _pts  nc
+DATA_2D_XY_NETCDF out:loc:tr   xy#:xyr $base_data/$fname/OUTPUT      _xy  nc
+#DATA_2D_XY_NETCDF out:loc      xy#:xyr $base_data/$fname/OUTPUT      _xy  nc
+DATA_2D_XY_AV_NETCDF out:loc:tr   xy#:xyr $base_data/$fname/OUTPUT      _xy_av  nc
+#DATA_2D_XZ_NETCDF out:loc:tr   xz#:xzr $base_data/$fname/OUTPUT      _xz  nc
+DATA_2D_XZ_NETCDF out:loc      xz#:xzr $base_data/$fname/OUTPUT      _xz  nc
+DATA_2D_XZ_AV_NETCDF out:loc:tr   xz#:xzr $base_data/$fname/OUTPUT      _xz_av  nc
+DATA_2D_YZ_NETCDF out:loc:tr   yz#:yzr $base_data/$fname/OUTPUT      _yz  nc
+#DATA_2D_YZ_NETCDF out:loc      yz#:yzr $base_data/$fname/OUTPUT      _yz  nc
+DATA_2D_YZ_AV_NETCDF out:loc:tr   yz#:yzr $base_data/$fname/OUTPUT      _yz_av  nc
+DATA_3D_NETCDF    out:loc:tr   3d#:3dr $base_data/$fname/OUTPUT      _3d  nc
+#DATA_3D_NETCDF    out:loc      3d#:3dr $base_data/$fname/OUTPUT      _3d  nc
+DATA_3D_AV_NETCDF    out:loc:tr   3d#:3dr $base_data/$fname/OUTPUT      _3d_av  nc
+DATA_PRT_NETCDF   out:loc:pe   prt#:prtr $base_data/$fname/OUTPUT    _prt
+DATA_PRT_NETCDF   out:loc:trpe prt#:prtr $base_data/$fname/OUTPUT    _prt
+PLOTTS_PAR        out:loc:tr   ts#:tsr $base_data/$fname/OUTPUT      _ts_par
+PLOTTS_DATA       out:loc:tr   ts#     $base_data/$fname/OUTPUT      _ts_in
+PLOTTS_DATA       out:loc:tra  tsr     $base_data/$fname/OUTPUT      _ts_in
+PLOT1D_PAR        out:loc:tr   pr#:prr $base_data/$fname/OUTPUT      _pr_par
+PLOT1D_DATA       out:loc:tr   pr#     $base_data/$fname/OUTPUT      _pr_in
+PLOT1D_DATA       out:loc:tr   prr     $base_data/$fname/OUTPUT      _pr_in
+PARTICLE_DATA     out:loc:lnpe prt#:prtr $base_data/$fname/OUTPUT    _prt_dat
+#
+#----------------------------------------------------------------------------
+# List of input-files for nested model runs
+#----------------------------------------------------------------------------
+PARIN_02                  in:job        nest#      $base_data/$fname/INPUT   _02_p3d
+TOPOGRAPHY_DATA_02        in:locopt     nest#      $base_data/$fname/INPUT   _02_topo
+#
+#----------------------------------------------------------------------------
+# List of input-files for coupled ocean model
+#----------------------------------------------------------------------------
+PARIN_O                  in:job        d3o#      $base_data/$fname/INPUT   _o_p3d
+PARIN_O                  in:job        d3or      $base_data/$fname/INPUT   _o_p3df
+BININ_O                  in:loc:lnpe   d3or:rec  $fast_io_catalog/$fname/RESTART _o_d3d
+#
+#----------------------------------------------------------------------------
+# List of output-files for coupled ocean model
+#----------------------------------------------------------------------------
+RUN_CONTROL_02     out:loc:tr   nest#     $base_data/$fname/MONITORING  _2_rc
+RUN_CONTROL_02     out:loc:tra  nestf     $base_data/$fname/MONITORING  _2_rc
+HEADER_02          out:loc:tr   nest#     $base_data/$fname/MONITORING  _2_header
+HEADER_02          out:loc:tra  nestf     $base_data/$fname/MONITORING  _2_header
+CPU_MEASURES_02    out:loc:tr   nest#     $base_data/$fname/MONITORING  _2_cpu
+CPU_MEASURES_02    out:loc:tra  nestf     $base_data/$fname/MONITORING  _2_cpu
+LIST_PROFIL_02     out:loc:tr   nest#     $base_data/$fname/MONITORING  _2_list_pr
+BINOUT_02          out:loc:lnpe restart   $fast_io_catalog/$fname/RESTART     _2_d3d
+#
+DATA_1D_PR_NETCDF_2    out:loc:tr pro#:pror   $base_data/$fname/OUTPUT _2_pr  nc
+DATA_1D_SP_NETCDF_2    out:loc:tr spo#:spor   $base_data/$fname/OUTPUT _2_sp  nc
+DATA_1D_TS_NETCDF_2    out:loc:tr tso#:tsor   $base_data/$fname/OUTPUT _2_ts  nc
+DATA_1D_PTS_NETCDF_2   out:loc:tr ptso#:ptsor $base_data/$fname/OUTPUT _2_pts nc
+DATA_2D_XY_NETCDF_2    out:loc:tr xyo#:xyor   $base_data/$fname/OUTPUT _2_xy  nc
+DATA_2D_XY_AV_NETCDF_2 out:loc:tr xyo#:xyor   $base_data/$fname/OUTPUT _2_xy_av  nc
+DATA_2D_XZ_NETCDF_2    out:loc:tr xzo#:xzor   $base_data/$fname/OUTPUT _2_xz  nc
+DATA_2D_XZ_AV_NETCDF_2 out:loc:tr xzo#:xzor   $base_data/$fname/OUTPUT _2_xz_av  nc
+DATA_2D_YZ_NETCDF_2    out:loc:tr yzo#:yzor   $base_data/$fname/OUTPUT _2_yz  nc
+DATA_2D_YZ_AV_NETCDF_2 out:loc:tr yzo#:yzor   $base_data/$fname/OUTPUT _2_yz_av  nc
Index: palm/trunk/SCRIPTS/palmrun
===================================================================
--- palm/trunk/SCRIPTS/palmrun	(revision 2404)
+++ palm/trunk/SCRIPTS/palmrun	(revision 2405)
@@ -132,8 +132,5 @@
              eval  ${err_command[$i]}
           done
-          if [[ $tmpcreate = true ]]
-          then
-             [[ $delete_temporary_catalog = true ]]  &&  rm -rf $TEMPDIR
-          fi
+          [[ $delete_temporary_catalog = true ]]  &&  (cd; rm -rf $TEMPDIR)
           printf "\n\n+++ palmrun killed \n\n"
        elif [[ $locat != control_c ]]
@@ -150,5 +147,5 @@
 
     # ACTIONS IN CASE OF TERMINAL-BREAK (CONTROL-C):
- trap '[[ $tmpcreate = true ]]  &&  (cd; rm -rf $TEMPDIR)
+ trap 'cd; rm -rf $TEMPDIR
        printf "\n+++ palmrun killed by \"^C\" \n\n"
        locat=control_c