Index: palm/trunk/SCRIPTS/palmbuild
===================================================================
--- palm/trunk/SCRIPTS/palmbuild	(revision 2409)
+++ palm/trunk/SCRIPTS/palmbuild	(revision 2410)
@@ -22,9 +22,12 @@
 # Current revisions:
 # ------------------
-# Initial revision
+# 
 # 
 # Former revisions:
 # -----------------
 # $Id$
+# Initial revision
+# 
+# 2404 2017-09-05 09:33:14Z raasch
 # 
 #------------------------------------------------------------------------------#
Index: palm/trunk/SCRIPTS/palmrun
===================================================================
--- palm/trunk/SCRIPTS/palmrun	(revision 2409)
+++ palm/trunk/SCRIPTS/palmrun	(revision 2410)
@@ -22,9 +22,12 @@
 # Current revisions:
 # ------------------
-# initial revision
+# 
 # 
 # Former revisions:
 # -----------------
 # $Id$
+# initial revision
+# 
+# 2405 2017-09-05 11:17:46Z raasch
 # 
 #
Index: palm/trunk/SCRIPTS/testsuite
===================================================================
--- palm/trunk/SCRIPTS/testsuite	(revision 2409)
+++ palm/trunk/SCRIPTS/testsuite	(revision 2410)
@@ -65,5 +65,5 @@
       sed -i -e "s/<replace_with_your_hostname>/${HOSTNAME}/g" ${tester_prefix}/.mrun.config
       sed -i -e "s/<replace_with_your_local_username>/${USER}/g" ${tester_prefix}/.mrun.config
-      sed -i -e "s/<hi>/lclocal/g" ${tester_prefix}/.mrun.config
+      sed -i -e "s/<hi>/lcmuk/g" ${tester_prefix}/.mrun.config
       sed -i -e "s#%base_directory    \$HOME/palm/current_version#%base_directory    ${tester_prefix}#g" ${tester_prefix}/.mrun.config
       sed -i -e "s#%base_data         ~/palm/current_version/JOBS#%base_data         ${tester_prefix}/JOBS#g" ${tester_prefix}/.mrun.config
@@ -81,6 +81,6 @@
    rm -rf ${tester_prefix}/MAKE_DEPOSITORY*
    rm -rf ${tester_prefix}/SOURCES_FOR_RUN_*
-   bash ${trunk_dir}/SCRIPTS/mbuild -h "lclocal" -K "parallel" -v -u
-   bash ${trunk_dir}/SCRIPTS/mbuild -h "lclocal" -K "parallel" -v
+   bash ${trunk_dir}/SCRIPTS/mbuild -h "lcmuk" -K "parallel" -v -u
+   bash ${trunk_dir}/SCRIPTS/mbuild -h "lcmuk" -K "parallel" -v
 }
 
@@ -101,5 +101,5 @@
    cp ${test_dir}/${1}_rc ${monitoring_dir}/${1}_rc_reference
    [[ -f ${test_dir}/${1}_topo ]] && cp ${test_dir}/${1}_topo ${input_dir}/
-   bash ${trunk_dir}/SCRIPTS/mrun -d ${1} -r "d3#" -h "lclocal" -K "parallel" -X "$NUM_PROC" -T "$NUM_PROC" -v -B > ${monitoring_dir}/${1}_stdout 2>&1
+   bash ${trunk_dir}/SCRIPTS/mrun -d ${1} -r "d3#" -h "lcmuk" -K "parallel" -X "$NUM_PROC" -T "$NUM_PROC" -v -B > ${monitoring_dir}/${1}_stdout 2>&1
    grep -A 99999 "Run-control output" ${monitoring_dir}/${1}_rc 1> ${monitoring_dir}/RC 2> /dev/null
    grep -A 99999 "Run-control output" ${monitoring_dir}/${1}_rc_reference 1> ${monitoring_dir}/RC_REF 2> /dev/null
Index: palm/trunk/SOURCE/wind_turbine_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/wind_turbine_model_mod.f90	(revision 2409)
+++ palm/trunk/SOURCE/wind_turbine_model_mod.f90	(revision 2410)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! Revise error message PA0462
+! 
+! 2349 2017-08-10 15:44:04Z Giersch
 ! Add parameter pitch_rate to namelist and revise/add error messages 
 ! 
@@ -474,5 +477,5 @@
        IF ( ANY( omega_rot(1:nturbines) < 0.0 ) )  THEN
           message_string = 'omega_rot < 0.0, Please set omega_rot to '     // &
-                           'a value larger than zero'
+                           'a value larger than or equal to zero'
           CALL message( 'wtm_check_parameters', 'PA0462', 1, 2, 0, 6, 0 )
        ENDIF
@@ -2350,5 +2353,5 @@
        min_reg25 = ( slope25 - SQRT( slope25 * ( slope25 - 4.0_wp *            &
                                                  slope2 * vs_sysp ) ) ) /      &
-                   ( 2.0_wp * slope2 )
+                   ( 2.0_wp * slope2 ) 
 !
 !--    Frequency for the simple low pass filter
Index: palm/trunk/UTIL/Makefile_utilities
===================================================================
--- palm/trunk/UTIL/Makefile_utilities	(revision 2409)
+++ palm/trunk/UTIL/Makefile_utilities	(revision 2410)
@@ -18,11 +18,14 @@
 # Current revisions:
 # -----------------
+# 
+# 
+# Former revisions:
+# -----------------
+# $Id$
 # file renamed to Makefile_utilities
 # executables are created in current working directory
 # interpret_config removed
 #
-# Former revisions:
-# -----------------
-# $Id$
+# 2380 2017-09-01 08:33:46Z raasch
 #
 # 1046 2012-11-09 14:38:45Z maronga