Index: palm/trunk/SCRIPTS/palmrungui_files/mainwindow.ui
===================================================================
--- palm/trunk/SCRIPTS/palmrungui_files/mainwindow.ui	(revision 2413)
+++ palm/trunk/SCRIPTS/palmrungui_files/mainwindow.ui	(revision 2415)
@@ -179,5 +179,5 @@
     </property>
     <property name="currentIndex">
-     <number>0</number>
+     <number>1</number>
     </property>
     <widget class="QWidget" name="tab">
@@ -772,6 +772,6 @@
         <x>0</x>
         <y>5</y>
-        <width>371</width>
-        <height>231</height>
+        <width>501</width>
+        <height>401</height>
        </rect>
       </property>
@@ -886,4 +886,94 @@
        </property>
       </widget>
+      <widget class="QLineEdit" name="line_w">
+       <property name="geometry">
+        <rect>
+         <x>220</x>
+         <y>345</y>
+         <width>191</width>
+         <height>25</height>
+        </rect>
+       </property>
+       <property name="text">
+        <string/>
+       </property>
+      </widget>
+      <widget class="QLineEdit" name="line_s">
+       <property name="geometry">
+        <rect>
+         <x>220</x>
+         <y>320</y>
+         <width>191</width>
+         <height>25</height>
+        </rect>
+       </property>
+       <property name="text">
+        <string/>
+       </property>
+      </widget>
+      <widget class="QLineEdit" name="line_D">
+       <property name="geometry">
+        <rect>
+         <x>220</x>
+         <y>295</y>
+         <width>191</width>
+         <height>25</height>
+        </rect>
+       </property>
+       <property name="text">
+        <string/>
+       </property>
+      </widget>
+      <widget class="QLineEdit" name="line_M">
+       <property name="geometry">
+        <rect>
+         <x>220</x>
+         <y>270</y>
+         <width>191</width>
+         <height>25</height>
+        </rect>
+       </property>
+       <property name="text">
+        <string/>
+       </property>
+      </widget>
+      <widget class="QLineEdit" name="line_m">
+       <property name="geometry">
+        <rect>
+         <x>220</x>
+         <y>245</y>
+         <width>81</width>
+         <height>25</height>
+        </rect>
+       </property>
+      </widget>
+      <widget class="QLineEdit" name="line_user">
+       <property name="geometry">
+        <rect>
+         <x>220</x>
+         <y>370</y>
+         <width>191</width>
+         <height>25</height>
+        </rect>
+       </property>
+       <property name="text">
+        <string/>
+       </property>
+      </widget>
+      <zorder>check_x</zorder>
+      <zorder>check_O</zorder>
+      <zorder>check_k</zorder>
+      <zorder>check_I</zorder>
+      <zorder>check_F</zorder>
+      <zorder>check_b</zorder>
+      <zorder>check_Z</zorder>
+      <zorder>line_2</zorder>
+      <zorder>line_user</zorder>
+      <zorder>line_w</zorder>
+      <zorder>line_s</zorder>
+      <zorder>line_D</zorder>
+      <zorder>line_M</zorder>
+      <zorder>line_m</zorder>
+      <zorder>line_user</zorder>
      </widget>
      <widget class="QLabel" name="label_20">
@@ -903,17 +993,4 @@
       </property>
      </widget>
-     <widget class="QLineEdit" name="line_M">
-      <property name="geometry">
-       <rect>
-        <x>220</x>
-        <y>275</y>
-        <width>191</width>
-        <height>25</height>
-       </rect>
-      </property>
-      <property name="text">
-       <string/>
-      </property>
-     </widget>
      <widget class="QLabel" name="label_18">
       <property name="geometry">
@@ -930,17 +1007,4 @@
       <property name="alignment">
        <set>Qt::AlignBottom|Qt::AlignRight|Qt::AlignTrailing</set>
-      </property>
-     </widget>
-     <widget class="QLineEdit" name="line_w">
-      <property name="geometry">
-       <rect>
-        <x>220</x>
-        <y>350</y>
-        <width>191</width>
-        <height>25</height>
-       </rect>
-      </property>
-      <property name="text">
-       <string/>
       </property>
      </widget>
@@ -977,43 +1041,4 @@
       </property>
      </widget>
-     <widget class="QLineEdit" name="line_s">
-      <property name="geometry">
-       <rect>
-        <x>220</x>
-        <y>325</y>
-        <width>191</width>
-        <height>25</height>
-       </rect>
-      </property>
-      <property name="text">
-       <string/>
-      </property>
-     </widget>
-     <widget class="QLineEdit" name="line_user">
-      <property name="geometry">
-       <rect>
-        <x>220</x>
-        <y>375</y>
-        <width>191</width>
-        <height>25</height>
-       </rect>
-      </property>
-      <property name="text">
-       <string/>
-      </property>
-     </widget>
-     <widget class="QLineEdit" name="line_D">
-      <property name="geometry">
-       <rect>
-        <x>220</x>
-        <y>300</y>
-        <width>191</width>
-        <height>25</height>
-       </rect>
-      </property>
-      <property name="text">
-       <string/>
-      </property>
-     </widget>
      <widget class="QLabel" name="label_19">
       <property name="geometry">
@@ -1030,14 +1055,4 @@
       <property name="alignment">
        <set>Qt::AlignBottom|Qt::AlignRight|Qt::AlignTrailing</set>
-      </property>
-     </widget>
-     <widget class="QLineEdit" name="line_m">
-      <property name="geometry">
-       <rect>
-        <x>220</x>
-        <y>250</y>
-        <width>81</width>
-        <height>25</height>
-       </rect>
       </property>
      </widget>